import asyncio

from v6d0auth.app import V6D0AuthAppFactory
from v6d0auth.cdb import CDB
from v6d0auth.run_app import run_app


async def main():
    cdb = CDB(asyncio.get_running_loop())
    async with cdb.rdb:
        await run_app(V6D0AuthAppFactory(cdb).app())


if __name__ == '__main__':
    try:
        asyncio.run(main())
    except KeyboardInterrupt:
        pass
